org.apache.catalina.startup

## Class Bootstrap

- java.lang.Object
- - org.apache.catalina.startup.Bootstrap

-     public final class Bootstrap
      extends Object

  Bootstrap loader for Catalina. This application constructs a class loader for use in loading the Catalina internal classes (by accumulating all of the JAR files found in the "server" directory under "catalina.home"), and starts the regular execution of the container. The purpose of this roundabout approach is to keep the Catalina internal classes (and any other classes they depend on, such as an XML parser) out of the system class path and therefore not visible to application level classes.
  Author:
    Craig R. McClanahan, Remy Maucherat

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bootstrap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroy the Catalina Daemon.
    `boolean` | `getAwait()`
    `static String` | `getCatalinaBase()` Get the value of the catalina.base environment variable.
    `static String` | `getCatalinaHome()` Get the value of the catalina.home environment variable.
    `void` | `init()` Initialize daemon.
    `void` | `init(String[] arguments)` Load the Catalina daemon.
    `static void` | `main(String[] args)` Main method and entry point when starting Tomcat via the provided scripts.
    `protected String` | `replace(String str)` System property replacement in the given string.
    `void` | `setAwait(boolean await)` Set flag.
    `void` | `setCatalinaBase(String s)`
    `void` | `setCatalinaHome(String s)`
    `void` | `start()` Start the Catalina daemon.
    `void` | `stop()` Stop the Catalina Daemon.
    `void` | `stopServer()` Stop the standalone server.
    `void` | `stopServer(String[] arguments)` Stop the standalone server.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Bootstrap

          public Bootstrap()

  - ### Method Detail

    - #### replace

          protected String replace(String str)

      System property replacement in the given string.
      Parameters:
        `str` - The original string
      Returns:
        the modified string

    - #### init

          public void init()
                    throws Exception

      Initialize daemon.
      Throws:
        `Exception`

    - #### init

          public void init(String[] arguments)
                    throws Exception

      Load the Catalina daemon.
      Throws:
        `Exception`

    - #### start

          public void start()
                     throws Exception

      Start the Catalina daemon.
      Throws:
        `Exception`

    - #### stop

          public void stop()
                    throws Exception

      Stop the Catalina Daemon.
      Throws:
        `Exception`

    - #### stopServer

          public void stopServer()
                          throws Exception

      Stop the standalone server.
      Throws:
        `Exception`

    - #### stopServer

          public void stopServer(String[] arguments)
                          throws Exception

      Stop the standalone server.
      Throws:
        `Exception`

    - #### setAwait

          public void setAwait(boolean await)
                        throws Exception

      Set flag.
      Throws:
        `Exception`

    - #### getAwait

          public boolean getAwait()
                           throws Exception

      Throws:
        `Exception`

    - #### destroy

          public void destroy()

      Destroy the Catalina Daemon.

    - #### main

          public static void main(String[] args)

      Main method and entry point when starting Tomcat via the provided scripts.
      Parameters:
        `args` - Command line arguments to be processed

    - #### setCatalinaHome

          public void setCatalinaHome(String s)

    - #### setCatalinaBase

          public void setCatalinaBase(String s)

    - #### getCatalinaHome

          public static String getCatalinaHome()

      Get the value of the catalina.home environment variable.

    - #### getCatalinaBase

          public static String getCatalinaBase()

      Get the value of the catalina.base environment variable.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.